[package]
name = "tangviz_basic"
version = "0.3.0"
authors = [
    "Brandon Minor <brandon@tangramrobotics.com>",
    "Jeremy Steward <jeremy.steward@tangramvision.com>",
    "Paul Jakob Schroeder <paul.schroeder@tangramvision.com>",
]
edition = "2018"
publish = false # Please don't publish this bad boy

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[features]
proptest-support = ["proptest", "proptest-derive", "nalgebra/proptest-support"]
default = []

[dependencies]
anyhow = "1.0"
approx = "0.5"
chrono = { version = "0.4", features = ["std"] }
conv = "0.3"
derive-new = "0.5"
nalgebra = { version = "0.29.0", features = ["serde-serialize"] }
num-traits = "0.2"
petgraph = "0.5"
proptest = { version = "1.0", optional = true }
proptest-derive = { version = "0.3", optional = true }
serde = { version = "1.0", features = ["derive"] }
serde_json = { version = "1.0", features = ["float_roundtrip"] }
strum = "0.23"
strum_macros = "0.23"
tangviz_basic_macros = { path = "tangviz_basic_macros" }
thiserror = "1.0"
uuid = { version = "0.8", features = ["v4", "serde"] }

# To build WASM (for CI and consumers) we need to select WASM features of some
# dependencies
[target.'cfg(target_arch = "wasm32")'.dependencies]
getrandom = { version = "0.2", features = ["js"]}
uuid = { version = "0.8", features = ["v4", "serde", "wasm-bindgen"] }

[dev-dependencies]
approx = "0.5"
conv = ">=0.3.2"
image = "0.23"
opencv = "0.53"
proptest = "1.0"
proptest-derive = "0.3"
getopts = "0.2.21"
csv = "1.1.6"

# JSON Schema Generators
[[example]]
name = "schema_gen_plex"
path = "json_generators/_schema_generators/schema_gen_plex.rs"
[[example]]
name = "schema_gen_objspc"
path = "json_generators/_schema_generators/schema_gen_objspc.rs"

# Plex Generators
[[example]]
name = "realsense_415"
path = "examples/plex_builders/realsense_415.rs"
